<?
include_once("../admin/comm/db_sql.php");
include_once("../admin/comm/config.php");
include_once("../admin/comm/connect.php");
include_once("../admin/comm/Function.php");
include_once("../admin/article/function.php");
include_once("../Smarty/Smarty.class.php");

$page_show = new Smarty(); 
if ($WebLinkType=="0"){
		$page_show->template_dir = "./templates";
		$page_show->compile_dir = "./templates_c"; 
}else
{
		$page_show->template_dir = "./templateshtml";
		$page_show->compile_dir = "./templateshtml_c"; 
}
$page_show->left_delimiter = "<{";      
$page_show->right_delimiter = "}>";

$channel=trim($_GET[channel]);

if (empty($channel))
	{
		//$channel="1";
		header("location:../index.php");
	}
$id=trim($_GET[id]);
$page_show->assign("WebUrl", $server_name);
$page_show->assign("CopyRight", $CopyRight);
$page_show->assign("LinksDB", $LinksDB);

/*《------------------------------------------导航中心------------------------------------------》*/
$channel_all_record=channel_query_all($db);
$page_show->assign("channel_all_record_Array", $channel_all_record);

/*《------------------------------------------返回当前频道名称------------------------------------------》*/
$channel_record_one=channel_query($channel,$db);
$page_show->assign("channel_name", $channel_record_one['name']);

/*《------------------------------------------专题内容25个------------------------------------------》*/
$info_query_new_record_channel=info_query_zt_all($db,$channel);
$page_show->assign("info_query_new_record_channel_Array", $info_query_new_record_channel);

if(empty($id)){
/*《------------------------------------------专题内容1个------------------------------------------》*/
	$info_one_record=info_query_one_zt($db,$channel);
}else
{
/*《------------------------------------------主题信息查询------------------------------------------》*/
	$info_one_record=info_query_one($id,$db);
}

$page_show->assign("Title", $info_one_record['Title']);
$page_show->assign("Description", $info_one_record['Description']);
$page_show->assign("Text", info_transforms($info_one_record['Text']));
$page_show->assign("Picture", $info_one_record['Picture']);
$page_show->assign("Add_date", $info_one_record['Add_date']);
$page_show->assign("Up_File", $info_one_record['Up_File']);
$page_show->assign("Review", $info_one_record['Review']);
$page_show->assign("author", $info_one_record['author']);
$page_show->assign("source", $info_one_record['source']);
$page_show->assign("Hit", $info_one_record['Hit']);
$page_show->assign("Hot", $info_one_record['Hot']);
$page_show->assign("TOP", $info_one_record['TOP']);
$page_show->assign("Recommend", $info_one_record['Recommend']);
$page_show->assign("Cate_id", $info_one_record['Cate_id']);
$page_show->assign("Flash_file", $info_one_record['Flash_file']);
$page_show->assign("channel", $info_one_record['channel']);
$page_show->assign("big_cate_id", $info_one_record['big_cate_id']);
$page_show->assign("typefile", $info_one_record['typefile']);
$page_show->assign("category_name", $info_one_record['category_name']);
$page_show->assign("sub_category_query_category_Array", $info_query_new_record_channel);
$page_show->assign("yywdyb_companyName", $companyName);
$page_show->assign("yywdyb_SaleTel", $SaleTel);
$page_show->assign("yywdyb_TechTel", $TechTel);
$page_show->assign("yywdyb_Fax", $Fax);
$page_show->assign("yywdyb_Address", $Address);
$page_show->assign("yywdyb_mobile", $mobile);
$page_show->assign("yywdyb_QQ", $QQ);
$page_show->assign("yywdyb_Mail", $Mail);
$page_show->assign("CopyRight", $CopyRight);
$page_show->display("zt.html"); 
?>